package com.mx.dla.dda.reporte.cpview.dtos;

import java.io.Serializable;

/**
 * Representa la respuesta que sera enviada al Front-End por parte de este componente al ejecutar el proceso de Carga de Visualizaciones Suscripcion
 * Incluye un mensaje y resultado.
 *
 */
public class ResponseCargaTitulosVSDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String mensaje;
	private boolean resultado;
	private CargaPrincipalVSDTO datosCarga;
	
	public ResponseCargaTitulosVSDTO()
	{
		this.datosCarga = new CargaPrincipalVSDTO();
	}
	
	public String getMensaje() {
		return this.mensaje;
	}
	public void setMensaje(String mensaje) {
		this.mensaje = mensaje;
	}
	
	public boolean isResultado() {
		return resultado;
	}
	public void setResultado(boolean resultado) {
		this.resultado = resultado;
	}
	
	public CargaPrincipalVSDTO getDatosCarga() {
		return datosCarga;
	}
	public void setDatosCarga(CargaPrincipalVSDTO datosCarga) {
		this.datosCarga = datosCarga;
	}
	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" mensaje: _" + this.getMensaje() + "_" + NEW_LINE);
		result.append(" resultado: _" + this.isResultado() + "_" + NEW_LINE);
		result.append(" datosCarga: _" + this.getDatosCarga().toString() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
	
}
